Bug 1645737 - Capsule upgrade to 6.5 failed with undefined method `enabled?' for nil:NilClass
Summary: Capsule upgrade to 6.5 failed with undefined method `enabled?' for nil:NilClass
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Nikhil Kathole
URL:
Whiteboard:
Depends On:
Blocks: 1653153
TreeView+ depends on / blocked
 
Reported: 2018-11-03 07:38 UTC by Nikhil Kathole
Modified: 2019-10-07 17:19 UTC (History)
4 users (show)

Fixed In Version: katello-installer-base-3.9.0-0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:32 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:43 UTC
Foreman Issue Tracker 25058 None None None 2018-11-03 19:54:39 UTC

Description Nikhil Kathole 2018-11-03 07:38:50 UTC
Description of problem:

While upgrading capsule from 6.4 to 6.5 upgrade failed with

 /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hook_context.rb:71:in `module_enabled?': undefined method `enabled?' for nil:NilClass (NoMethodError)


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 2.0


How reproducible: always


Steps to Reproduce:
1. yum update on capsule
2. satellite-installer --scenario capsule --upgrade

Actual results: Upgrade failed with error

Done                                               [100%]Installing             Done                                               [100%]
   The full log is at /var/log/foreman-installer/capsule.log
 /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hook_context.rb:71:in `module_enabled?': undefined method `enabled?' for nil:NilClass (NoMethodError)
 	from /usr/share/katello-installer-base/hooks/post/30-upgrade.rb:45:in `block (4 levels) in load'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hooking.rb:34:in `instance_eval'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hooking.rb:34:in `block (4 levels) in load'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hook_context.rb:16:in `instance_exec'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hook_context.rb:16:in `execute'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hooking.rb:51:in `block in execute'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hooking.rb:49:in `each'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/hooking.rb:49:in `execute'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:476:in `block in run_installation'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/exit_handler.rb:29:in `call'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/exit_handler.rb:29:in `exit'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:169:in `exit'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:475:in `run_installation'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:156:in `execute'
 	from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:63:in `run'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:119:in `run'
 	from /usr/share/gems/gems/clamp-1.1.2/lib/clamp/command.rb:132:in `run'
 	from /usr/share/gems/gems/kafo-2.1.0/lib/kafo/kafo_configure.rb:163:in `run'
 	from /usr/sbin/satellite-installer:8:in `<main>'
 


Expected results: Successful capsule upgrade.


Additional info:

Comment 3 Ewoud Kohl van Wijngaarden 2018-11-03 12:48:09 UTC
This happens when the foreman module is not enabled. https://projects.theforeman.org/issues/25058 makes the function more robust but is unreleased.

Comment 4 Evgeni Golov 2018-11-03 19:56:13 UTC
Ewoud, am I right that Foreman #25058 should fix this?

Comment 6 pm-sat@redhat.com 2018-11-03 20:05:50 UTC
Upstream bug assigned to ekohlvan@redhat.com

Comment 7 pm-sat@redhat.com 2018-11-03 20:05:53 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25058 has been resolved.

Comment 9 Nikhil Kathole 2018-12-02 12:05:27 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 6

satellite-capsule-6.5.0-5.beta.el7sat.noarch

Datacat_fragment[foreman_proxy::enabled_features:: [99%]Installing             Service[smart_proxy_dynflow_core]                  [99%]Installing             Done                                               [100%]Installing             Done                                               [100%]
   The full log is at /var/log/foreman-installer/capsule.log
 Upgrade completed!

Comment 11 errata-xmlrpc 2019-05-14 12:38:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.